#include <stdio.h>

#include "global.h"


#include "manhat-lib/shared_util.h"
#include "manhat-lib/shared_cs_course_search.h"
#include "manhat-lib/shared_cs_util.h"
#include "manhat-lib/shared_super_menu.h"

int main()
{
   char key[MAX_KEY + 1];
   COURSE_SEARCH_NODE *course_head;   /* shared_cs_course_search.h */
   COURSE_SEARCH_PARAMS params;       /* shared_cs_course_search.h */
   SESSION user;
    
    cs_cgi_init();
    course_head = read_search_course_parameters(key, &params); 	/* shared_cs_course_search.h */
    validate_super_key(key, &user);    				/* shared_super_util.c */
    set_admin_page(&user, key, 0, "super_purge_postoffice_message_form");  	/* shared_super_menu.c */

    cs_set_searched_courses (key, course_head, &params, "super_purge_postoffice_message_form"); /* shared_cs_course_search.h */

    free_subdir_list(params.subdir_head);  /* shared_course_search.c */

    cs_cgi_display("super_purge_postoffice_message_form", 0);
    cs_cgi_destroy(); 
    return 0;
}

